# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::MimetypeJob Class Reference

A MimetypeJob is a TransferJob that allows you to get the mime type of an URL. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::MimetypeJob:

[legend]
Collaboration diagram for KIO::MimetypeJob:

[legend]
List of all members.

## Public Member Functions

| MimetypeJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
QString | mimetype () const
virtual void | start (Slave *slave)

## Protected Slots

virtual void | slotFinished ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A MimetypeJob is a TransferJob that allows you to get the mime type of an URL.

Don't create directly, but use KIO::mimetype() instead.

See also:
  KIO::mimetype()

Definition at line 1167 of file jobclasses.h.

## Constructor & Destructor Documentation

MimetypeJob::MimetypeJob | ( | const KURL & | url,
|  | int | command,
|  | const QByteArray & | packedArgs,
|  | bool | showProgressInfo
| ) |

Do not create a MimetypeJob directly.

Use KIO::mimetype() instead.

Parameters:

  | url | the url to get
  | command | the command to issue
  | packedArgs | the arguments
  | showProgressInfo | true to show progress information to the user

Definition at line 1403 of file job.cpp.

## Member Function Documentation

QString KIO::MimetypeJob::mimetype | ( |  | ) | const`[inline]`

Call this in the slot connected to result, and only after making sure no error happened.

Returns:
  the mimetype of the URL

Definition at line 1186 of file jobclasses.h.

void MimetypeJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::TransferJob. Definition at line 1415 of file job.cpp. References KIO::Scheduler::doJob(), endl(), QString::fromLatin1(), KURL::isEmpty(), KURL::isValid(), kdDebug(), KIO::TransferJob::mimetype(), KIO::TransferJob::permanentRedirection(), KIO::Job::queryMetaData(), and KIO::TransferJob::slotFinished().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003